Subject: Re: [PATCH v4 2/8] maintenance: add --schedule option and config

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 May 2021 03:42:31 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Tue, Feb 09 2021, Derrick Stolee wrote:
>
>> On 2/9/2021 9:06 AM, Ævar Arnfjörð Bjarmason wrote:
>>> 
>>> On Thu, Oct 15 2020, Derrick Stolee via GitGitGadget wrote:
>>> 
>>>> +--schedule::
>>>> +	When combined with the `run` subcommand, run maintenance tasks
>>>> +	only if certain time conditions are met, as specified by the
>>>> +	`maintenance.<task>.schedule` config value for each `<task>`.
>>>> +	This config value specifies a number of seconds since the last
>>>> +	time that task ran, according to the `maintenance.<task>.lastRun`
>>>> +	config value. The tasks that are tested are those provided by
>>>> +	the `--task=<task>` option(s) or those with
>>>> +	`maintenance.<task>.enabled` set to true.
>>> 
>>> I see from searching on list and from spying on your repo that patches
>>> for this maintenance.<task>.lastRun feature exist, but there's no code
>>> for it in git.git.
>>> 
>>> So we've got a 2.30.0 release with a mention of that, and it can't work,
>>> because it's only in the doc due to b08ff1fee00 (maintenance: add
>>> --schedule option and config, 2020-09-11).
>>
>> Thank you for pointing out this docbug. This is based on an early
>> version of the patch series and should have been changed.
>>
>> Please see this patch which attempts to do a better job. I can
>> create a new thread with this submission if we need more edits.

Or resend it in a new thread for better visibility, with or without
change, with a mention of the original under the three-dash line.
Nobody can tell, with the above comment, if you abandoned the patch
or if you thought it is good enough.

Thanks.